<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
      xmlns:rx="http://typo3.org/ns/Reelworx/RxShariff/ViewHelper"
      xmlns:v="http://typo3.org/ns/FluidTYPO3/Vhs/ViewHelpers"
      v:schemaLocation="https://fluidtypo3.org/schemas/vhs-master.xsd"
      data-namespace-typo3-fluid="true">

<f:layout name="Detail"/>
<!--
	=====================
		News/Detail.html
-->

<f:section name="content">
    <v:variable.set name="presse" value="0"></v:variable.set>
    <f:if condition="{newsItem}">
        <n:format.nothing>
            <n:excludeDisplayedNews newsItem="{newsItem}"/>
            <f:if condition="{settings.detail.showMetaTags}">
                <f:render partial="Detail/Opengraph" arguments="{newsItem: newsItem, settings:settings}"/>
            </f:if>
            <f:if condition="{newsItem.alternativeTitle}">
                <f:then>
                    <n:titleTag>
                        <f:format.htmlentitiesDecode>{newsItem.alternativeTitle}</f:format.htmlentitiesDecode>
                    </n:titleTag>
                </f:then>
                <f:else>
                    <n:titleTag>
                        <f:format.htmlentitiesDecode>{newsItem.title}</f:format.htmlentitiesDecode>
                    </n:titleTag>
                </f:else>
            </f:if>
        </n:format.nothing>
        <f:if condition="{settings.detail.showPrevNext}">
            <n:simplePrevNext pidList="{newsItem.pid}" news="{newsItem}" as="paginated" sortField="datetime">
                <f:if condition="{paginated}">
                    <ul class="pager">
                        <f:if condition="{paginated.prev}">
                            <li class="previous">
                                <n:link newsItem="{paginated.prev}" settings="{settings}">
                                    <span aria-hidden="true">&larr; </span>{paginated.prev.title}
                                </n:link>
                            </li>
                        </f:if>
                        <f:if condition="{paginated.next}">
                            <li class="next">
                                <n:link newsItem="{paginated.next}" settings="{settings}" class="next">
                                    {paginated.next.title} <span aria-hidden="true"> &rarr;</span>
                                </n:link>
                            </li>
                        </f:if>
                    </ul>
                </f:if>
            </n:simplePrevNext>
        </f:if>
        <div class="newsdetail__header">
            <f:comment><!-- blog detail page has an other header --></f:comment>
            <f:if condition="{settings.templateLayout} == 3">
                <f:then><f:render section="BlogHeader" arguments="{_all}"/></f:then>
                <f:else><f:render section="DefaultHeader" arguments="{_all}"/></f:else>
            </f:if>
        </div>

        <div class="newsdetail__text">
            <f:if condition="{newsItem.teaser} && {settings.templateLayout} != 3">
                <!-- teaser -->
                <div class="newsdetail__teaser lead" itemprop="description">
                    <p><strong><f:format.nl2br>{newsItem.teaser}</f:format.nl2br></strong></p>
                </div>
            </f:if>

            <!-- main text -->
            <div class="news-text-wrap" itemprop="articleBody">
                <f:format.html>{newsItem.bodytext}</f:format.html>
            </div>

            <f:if condition="{newsItem.frsPressNumber} && {newsItem.hidePressLotto}  != '1'">
                <div class="news-article__lotto">
                    <img src="{f:uri.image(src: '/typo3conf/ext/drkservice_blog/Resources/Public/Images/jpg/Lotto_Deutschland_DRK.jpg', treatIdAsReference: 1, maxWidth: 120, width: 120)} "
                         width="120"
                         height="50"
                         alt="{f:translate(key: 'press.lotto', extensionName: 'drkservice_blog')}"
                         class="lazyload"
                    />
                </div>
            </f:if>

            <f:comment><!-- show all thumbnails. First image is hidden by CSS --></f:comment>
            <f:if condition="{newsItem.mediaNonPreviews -> f:count()} > 1">
                <div class="newsdetail__thumbnails">
                    <n:renderMedia news="{newsItem}" imgClass="img-responsive" videoClass="video-wrapper" audioClass="audio-wrapper">
                        <f:render partial="Detail/MediaContainer" arguments="{media: newsItem.mediaNonPreviews, settings:settings, lightbox: 1}"/>
                    </n:renderMedia>
                </div>
            </f:if>

            <f:comment><!-- show anchor menu of the content elements to jump to the CE --></f:comment>
            <f:if condition="{newsItem.showAnchorMenu} && {newsItem.contentElements} && {settings.templateLayout} == 3">
                <div id="newsdetail__anchorMenu-wrapper">
                    <div id="newsdetail__anchorMenu-innerWrap">
                        <h2><f:translate key="anchor-menu.headline" extensionName="drkservice_blog" /></h2>
                        <ul id="newsdetail__anchorMenu">
                            <f:for each="{newsItem.contentElements}" as="contentElement">
                                <f:comment><!-- don't show CE if header type is hidden or its CE: statement  --></f:comment>
                                <f:if condition="{contentElement.headerLayout} != 100 || {contentElement.cType} == 'statement'}">
                                    <li>
                                        <a href="#c{contentElement.uid}"><i class="arrow"></i> {contentElement.header}</a>
                                    </li>
                                </f:if>
                            </f:for>
                        </ul>
                    </div>
                </div>
            </f:if>

            <f:comment><!-- render content elements --></f:comment>
            <n:renderMedia news="{newsItem}" imgClass="img-responsive" videoClass="video-wrapper" audioClass="audio-wrapper">
                <f:if condition="{newsItem.contentElements}">
                    <!-- content elements -->
                    <f:cObject typoscriptObjectPath="lib.tx_news.contentElementRendering">
                        {newsItem.contentElementIdList}
                    </f:cObject>
                </f:if>
            </n:renderMedia>
        </div>

        <f:comment><!-- Link Back: not used because field is hidden in plugin --></f:comment>
        <f:if condition="{settings.backPid}">
            <div class="news-backlink-wrap button button--secondary">
                <f:link.page pageUid="{settings.backPid}">
                    <f:translate key="back-link"/>
                </f:link.page>
            </div>
        </f:if>

        <f:if condition="{settings.detail.showSocialShareButtons}">
            <f:comment>
                Care about the privacy of your readers?
                Checkout https://typo3.org/extensions/repository/view/rx_shariff
                and it will be used automatically!
            </f:comment>
            <n:extensionLoaded extensionKey="rx_shariff">
                <f:render partial="Detail/Shariff"/>
            </n:extensionLoaded>
        </f:if>

        <f:comment>
            <!-- related things -->
            Various options exist to fetch different related information:
            - {newsItem.allRelatedSorted}: all related news, related und related from, sorted by date
            - {newsItem.related}: all related
            - {newsItem.relatedSorted}: all related, sorted by date
            - {newsItem.relatedFrom}: all related from
            - {newsItem.relatedFromSortedByForeign}: all related from sorted by foreign sorting
            - {newsItem.relatedFromSorted}: all related from, sorted by date
        </f:comment>
        <div class="news-related-wrap">

            <f:comment><!-- show related links here for blog detail page --></f:comment>
            <f:if condition="{newsItem.relatedLinks} && {settings.templateLayout} == 3">
                <f:render section="RelatedLinks" arguments="{_all}"/>
            </f:if>

            <f:if condition="{settings.templateLayout} == 3 && {newsItem.plusdrkbaseNewsauthor -> f:count()} > 0">
                <f:comment><!-- Show "post written by". Field author profil (plusdrkbase_newsauthor) used here --></f:comment>
                <div class="news-author-list">
                    <h3><f:translate key="news-written-by" extensionName="drkservice_blog" /></h3>
                    <f:for each="{newsItem.plusdrkbaseNewsauthor}" as="author">

                        <div class="news-author-item">
                            <f:if condition="{author.image}">
                                <div class="news-author-imagewrap">
                                    <f:image image="{author.image}" width="800c" height="800c"
                                             alt="{author.image.alternative}"
                                             title="{author.image.title}" loading="lazy"/>
                                </div>
                            </f:if>
                            <div class="news-author-textwrap">
                                <h4>{author.firstName} {author.lastName} </h4>
                                <f:format.html>{author.text}</f:format.html>
                            </div>
                        </div>
                    </f:for>
                </div>
            </f:if>

            <f:if condition="{newsItem.allRelatedSorted}">
                <!-- Related news records -->
                <div class="news-related news-related-news">
                    <f:if condition="{settings.templateLayout} == 3">
                        <f:then><f:render section="BlogRelatedNews" arguments="{_all}"/></f:then>
                        <f:else>
                            <f:comment><!-- Default: Related news --></f:comment>
                            <h4><f:translate key="related-news"/></h4>
                            <ul>
                                <f:for each="{newsItem.allRelatedSorted}" as="related">
                                    <li>
                                        <span class="news-related-news-date">
                                            <f:format.date format="{f:translate(key:'dateFormat')}">{related.datetime}</f:format.date>
                                        </span>
                                        <n:link newsItem="{related}" settings="{settings}" title="{related.title}">{related.title}</n:link>
                                    </li>
                                </f:for>
                            </ul>
                        </f:else>
                    </f:if>
                </div>
            </f:if>

            <f:if condition="{newsItem.relatedFiles}">
                <!-- related files -->
                <div class="news-related news-related-files">
                    <h4><f:translate key="related-files"/></h4>
                    <ul>
                        <f:for each="{newsItem.relatedFiles}" as="relatedFile">
                            <li>
                                <span class="news-related-files-link">
                                    <a href="{relatedFile.originalResource.publicUrl -> f:format.htmlspecialchars()}" target="_blank">
                                        {f:if(condition:relatedFile.originalResource.title, then:relatedFile.originalResource.title, else:relatedFile.originalResource.name)}
                                    </a>
                                </span>
                                <span class="news-related-files-size">
                                    {relatedFile.originalResource.size -> f:format.bytes()}
                                </span>
                            </li>
                        </f:for>
                    </ul>
                </div>
            </f:if>

            <f:if condition="{newsItem.relatedLinks} && {settings.templateLayout} != 3">
                <f:render section="RelatedLinks" arguments="{_all}"/>
            </f:if>

            <f:comment><!-- Show other posts of the author (field: author profil (plusdrkbase_newsauthor)) --></f:comment>
            <f:if condition="{settings.templateLayout} == 3 && {newsItem.plusdrkbaseNewsauthor}">
                <div id="news-author-posts">

                    <f:comment><!-- List of authors --></f:comment>
                    <f:for each="{newsItem.plusdrkbaseNewsauthor}" as="author">

                        <f:comment><!-- Show other posts --></f:comment>
                        <f:if condition="{author.posts->f:count()} == 0">
                            <f:then><f:comment><!-- detail page: no posts --></f:comment></f:then>
                            <f:else>
                                <div class="news-author-single">
                                    <h4><f:translate key="news-authorposts-by" extensionName="drkservice_blog"/> {author.firstname} {author.lastname}</h4>
                                    <div class="news-author-postitem-wrap">
                                        <f:for each="{author.posts}" as="post">
                                            <f:comment><!-- Don't show post/news of the current detail page --></f:comment>
                                            <f:if condition="{newsItem.uid} != {post.uid}">
                                                <div class="news-author-postitem">
                                                    <f:if condition="{post.image}">
                                                        <f:link.action action="detail" controller="news" tabindex="-1"
                                                                   arguments="{news: post.uid}" class="news-author-imglink" >
                                                            <div class="newsdetail__media">
                                                                <f:image image="{post.image}" width="960c" height="960c"
                                                                     alt="{post.image.alternative}"
                                                                     title="{post.image.title}" loading="lazy"/>
                                                            </div>
                                                        </f:link.action>
                                                    </f:if>
                                                    <span class="news-author-date">
                                                        <f:format.date format="d.m.Y">{post.datetime}</f:format.date>
                                                    </span>
                                                    <h5>
                                                        <f:link.action action="detail" controller="news"
                                                                       arguments="{news: post.uid}" class="news-author-link">
                                                            {post.title}
                                                        </f:link.action>
                                                    </h5>
                                                </div>
                                            </f:if>
                                        </f:for>
                                    </div>
                                </div>
                            </f:else>
                        </f:if>
                    </f:for>
                </div>
            </f:if>
        </div>
    </f:if>
</f:section>

<f:comment><!-- Header of blog detail page --></f:comment>
<f:section name="BlogHeader">
    <f:comment><!-- Just one preview image should displayed here --></f:comment>
    <f:if condition="{newsItem.mediaNonPreviews.0}">
        <f:variable name="firstMediaNonPreviews" value="{0: '{newsItem.mediaNonPreviews.0}'}" />
        <n:renderMedia news="{newsItem}" imgClass="img-responsive" videoClass="video-wrapper" audioClass="audio-wrapper">
            <f:render partial="Detail/MediaContainer" arguments="{media: firstMediaNonPreviews, settings:settings}"/>
        </n:renderMedia>
    </f:if>

    <div class="newsdetail__headlineWrap">
        <div class="newsdetail__headline header">
            <h1 itemprop="headline">
                <f:if condition="{newsItem.alternativeTitle}">
                    <f:then>{newsItem.alternativeTitle}</f:then>
                    <f:else>{newsItem.title}</f:else>
                </f:if>
            </h1>
            <div class="newsdetail__meta">
                <span class="date">
                    <!-- date -->
                    <time itemprop="datePublished" datetime="{f:format.date(date:newsItem.datetime, format:'d.m.Y')}">
                    <f:format.date format="d.m.Y">{newsItem.datetime}</f:format.date>
                    </time>
                </span>
                <f:if condition="{newsItem.author}">
                    <!-- author -->
                    <span class="author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person">
                        - <span itemprop="name">{newsItem.author}</span>
                    </span>
                </f:if>
            </div>
        </div>

        <f:if condition="{newsItem.teaser}">
            <!-- teaser -->
            <div class="newsdetail__teaser lead" itemprop="description">
                <p><f:format.nl2br>{newsItem.teaser}</f:format.nl2br></p>
            </div>
        </f:if>
    </div>
</f:section>

<f:comment><!-- Default header of news detail page --></f:comment>
<f:section name="DefaultHeader">
    <div class="newsdetail__metadates">
        <!-- date -->
        <div class="news-list__date">
            <span>
                <time itemprop="datePublished" datetime="{f:format.date(date:newsItem.datetime, format:'d.m.Y')}">
                <f:format.date format="d.m.Y">{newsItem.datetime}</f:format.date>
                </time>
            </span>&middot;
            <f:if condition="{newsItem.frsCountry}">
                <span>{newsItem.frsCountry}</span>&nbsp;&middot;
            </f:if>
            <f:if condition="{newsItem.frsPressNumber}">
                <span>{newsItem.frsPressNumber}</span>
            </f:if>
        </div>

        <f:if condition="{newsItem.tags}">
            <!-- Tags -->
            <span class="news-list__category"> · </span>
            <span class="news-list__tags" itemprop="keywords">
                <f:for each="{newsItem.tags}" as="tag">
                    {tag.title}
                </f:for>
            </span>
        </f:if>
        <f:if condition="{newsItem.author}">
            <!-- author -->
            <div>
                <span class="news-list-author" itemprop="author" itemscope="itemscope" itemtype="http://schema.org/Person">
                    <f:translate key="author_simple"/> <span itemprop="name">{newsItem.author}</span>
                </span>
            </div>
        </f:if>
    </div>
    <f:if condition="{newsItem.categories}">
        <!-- category -->
        <div class="news-list__category">
            <f:render partial="Category/Items" arguments="{categories:newsItem.categories, settings:settings}"/>
        </div>
    </f:if>
    <div class="newsdetail__headline header">
        <h1 itemprop="headline">
            <f:if condition="{newsItem.alternativeTitle}">
                <f:then>{newsItem.alternativeTitle}</f:then>
                <f:else>{newsItem.title}</f:else>
            </f:if>
        </h1>
    </div>

    <f:comment><!-- Just one preview image should displayed here --></f:comment>
    <f:if condition="{newsItem.mediaNonPreviews.0}">
        <f:variable name="firstMediaNonPreviews" value="{0: '{newsItem.mediaNonPreviews.0}'}" />
        <n:renderMedia news="{newsItem}" imgClass="img-responsive" videoClass="video-wrapper" audioClass="audio-wrapper">
            <f:render partial="Detail/MediaContainer" arguments="{media: firstMediaNonPreviews, settings:settings}"/>
        </n:renderMedia>
    </f:if>
</f:section>

<f:comment><!-- Blog related news with image --></f:comment>
<f:section name="BlogRelatedNews">
    <h4><f:translate key="related-news-blog" extensionName="drkservice_blog"/></h4>
    <ul class="related-news__bloglist">
        <f:for each="{newsItem.allRelatedSorted}" as="related">
            <li>
                <f:if condition="{related.falMedia}">
                    <n:link newsItem="{related}" settings="{settings}" title="{related.title}"
                            class="newsdetail__image--link" tabindex="-1">
                        <f:variable name="firstMediaRelatedNews" value="{0: '{related.falMedia.0}'}" />
                        <n:renderMedia news="{related}" imgClass="img-responsive" videoClass="video-wrapper" audioClass="audio-wrapper">
                            <f:render partial="Detail/MediaContainer" arguments="{media: firstMediaRelatedNews, settings:settings}"/>
                        </n:renderMedia>
                    </n:link>
                </f:if>

                <h5>
                    <n:link newsItem="{related}" settings="{settings}" title="{related.title}">
                        {related.title}
                    </n:link>
                </h5>
                <p>{related.teaser}</p>
            </li>
        </f:for>
    </ul>
</f:section>

<f:comment><!-- Related Links --></f:comment>
<f:section name="RelatedLinks">
    <div class="news-related news-related-links {f:if(condition: newsItem.allRelatedSorted, then: 'hasRelatedNews')}">
        <h4>
            <f:if condition="{settings.templateLayout} == 3">
                <f:then><f:translate key="related-links-blog" extensionName="drkservice_blog"/></f:then>
                <f:else><f:translate key="related-links"/></f:else>
            </f:if>
        </h4>
        <ul>
            <f:for each="{newsItem.relatedLinks}" as="relatedLink">
                <li>
                    <f:link.typolink parameter="{relatedLink.uri}" title="{relatedLink.title}"
                                     target="{n:targetLink(link:relatedLink.uri)}"
                                     absolute="true">
                        {f:if(condition: relatedLink.title, then: relatedLink.title, else: relatedLink.uri)}
                    </f:link.typolink>
                    <f:if condition="{relatedLink.description}"><span>{relatedLink.description}</span></f:if>
                </li>
            </f:for>
        </ul>
    </div>
</f:section>
</html>
